<?php

require_once 'connect.php';
require_once 'inc/messages.php';
require_once 'usuario.php';

// retorna array com lista de módulos, ou false se deu erro
function parametro_getAll() {
  global $conexao;
  $sql = "select * from erpc_parametros where st_ativo=?";
  $values[] = '1';
  $result = _prepareAndQuery($sql, $values);
  return $result;
}

// retorna array associativo com objeto, ou false se deu erro/não encontrar
function parametro_getById($id) {
  global $conexao;
  $sql = "select * from erpc_parametros where id=? and st_ativo=1";
  $values[] = $id;
  $result = _prepareAndQuery($sql, $values);
  if ($result !== false) {
    if (count($result) === 1) {
      $result = $result[0];
    } else {
      $result = false;
      addError('Id não encontrado');
    }
  }

  return $result;
}

// insere novo módulo
function parametro_insert($parametro) {
  global $conexao;
  $ok = false;
  $sql = 'insert into erpc_parametros ';
  $campos = array('ds_parametro', 'ds_valor', 'st_ativo');
  $values = array($parametro['ds_parametro'], $parametro['ds_valor'], $parametro['st_ativo']);
  $sql .= '(' . implode(',', $campos) . ') values (' . trim(str_repeat('?,', count($values)), ',') . ')';

  $ok = _prepareAndExecute($sql, $values);
  if ($ok !== false) {
    addMessage('Inserido com sucesso');
  }
  return $ok;
}

// altera a senha do usuário
function parametro_update($parametro) {
  global $conexao;
  $ok = false;
  $sql = 'update erpc_parametros set ds_parametro = ?, ds_valor = ?';
  $values = array($parametro['ds_parametro'], $parametro['ds_valor']);
  $sql .= ' where id = ?';
  $values[] = $parametro['id'];
  $ok = _prepareAndExecute($sql, $values);
  if ($ok !== false) {
    addMessage('Atualizado com sucesso');
  }
  return $ok;
}

function parametro_delete($parametro) {
  global $conexao;
  $ok = false;
  $sql = 'update erpc_parametros set st_ativo = 0';
  $values = array();
  $sql .= ' where id = ?';
  $values[] = $parametro['id'];
  $ok = _prepareAndExecute($sql, $values);
  if ($ok !== false) {
    addMessage('Removido com sucesso');
  }
  return $ok;
}

function parametro_create() {
  date_default_timezone_set('America/Sao_Paulo');
  $parametro = array(
    'id' => '',
    'ds_parametro' => '',
    'ds_valor' => '',
    'st_ativo' => '1',
  );
  return $parametro;
}
